---
lang: en
title: 'API docs: rest-crud.crudrestcontroller.create'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontroller.create.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestController](./rest-crud.crudrestcontroller.md) &gt; [create](./rest-crud.crudrestcontroller.create.md)

## CrudRestController.create() method

Implementation of the endpoint `POST /`<!-- -->.

<b>Signature:</b>

```typescript
create(data: Omit<T, IdName>): Promise<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  data | Omit&lt;T, IdName&gt; | Model data |

<b>Returns:</b>

Promise&lt;T&gt;


